<template>
  <AppHeaderDropdown right no-caret>
    <template slot="header">
       <b-img :src="`https://ui-avatars.com/api/?background=0D8ABC&color=fff&name=${$store.state.user.name}&size=48`" class="img-avatar" alt="Avarta" />
      <!-- <img
        src="https://ui-avatars.com/api/?background=0D8ABC&color=fff&name=&size=48"
        class="img-avatar"
        alt="admin@bootstrapmaster.com" /> -->
    </template>\
    <template slot="dropdown">
      <!-- <b-dropdown-header tag="div" class="text-center"><strong>Account</strong></b-dropdown-header>
      <b-dropdown-item><i class="fa fa-bell-o" /> Updates
        <b-badge variant="info">{{ itemsCount }}</b-badge>
      </b-dropdown-item>
      <b-dropdown-item><i class="fa fa-envelope-o" /> Messages
        <b-badge variant="success">{{ itemsCount }}</b-badge>
      </b-dropdown-item>
      <b-dropdown-item><i class="fa fa-tasks" /> Tasks
        <b-badge variant="danger">{{ itemsCount }}</b-badge>
      </b-dropdown-item>
      <b-dropdown-item><i class="fa fa-comments" /> Comments
        <b-badge variant="warning">{{ itemsCount }}</b-badge>
      </b-dropdown-item> -->
      <b-dropdown-header
        tag="div"
        class="text-center">
        <strong>Thông tin</strong>
      </b-dropdown-header>
      <b-dropdown-item><i class="fa fa-user" />{{ $store.state.user.name }}</b-dropdown-item>
      <!-- <b-dropdown-item><i class="fa fa-wrench" /> Settings</b-dropdown-item> -->
      <b-dropdown-item to="/payment"><i class="fa fa-usd" /> Giao dịch
        <b-badge variant="secondary">{{ $store.state.user.payments_count }}</b-badge>
      </b-dropdown-item>
      <b-dropdown-item to="/agency"><i class="fa fa-file" /> Đại lý
        <!-- <b-badge variant="primary">{{ itemsCount }}</b-badge> -->
      </b-dropdown-item>
      <!-- <b-dropdown-divider /> -->
      <!-- <b-dropdown-item><i class="fa fa-shield" /> Lock Account</b-dropdown-item> -->
      <b-dropdown-item><a href="javascript.void(0)" @click="logout()"><i class="fa fa-lock" />Log out</a></b-dropdown-item>
    </template>
  </AppHeaderDropdown>
</template>

<script>
import { HeaderDropdown as AppHeaderDropdown } from '@coreui/vue'
import {http} from '@/services'
export default {
  name: 'DefaultHeaderDropdownAccnt',
  components: {
    AppHeaderDropdown
  },
  data: () => {
    return { 
      itemsCount: 42,
      user: {}
      }
  },
  created(){
    this.getUser()
  },
  methods: {
    logout(){
      this.$store.dispatch('logout')
    },
    getUser(){
      
    }
  }
}
</script>
